import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:my_hk_reader/my_hk_reader.dart';

void main() {
  const MethodChannel channel = MethodChannel('my_hk_reader');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await MyHkReader.getPlatformVersion(), '42');
  });
}
